Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfclown.documents.contents.colorSpaces
Class ShadingPattern

    java.lang.Object
      org.pdfclown.objects.PdfObjectWrapper<TDataObject>
          org.pdfclown.documents.contents.colorSpaces.Color<TDataObject>
              org.pdfclown.documents.contents.colorSpaces.Pattern<PdfDictionary>
                  org.pdfclown.documents.contents.colorSpaces.ShadingPattern

All Implemented Interfaces:
  Cloneable, IPdfObjectWrapper

    @PDF(value=PDF13)
    public final class ShadingPattern

extends Pattern<PdfDictionary>

Pattern providing a smooth transition between colors across an area to be painted [PDF:1.6:4.6.3].

The transition is continuous and independent of the resolution of any particular output device.

Since:
  0.1.0
Version:
  0.1.1, 04/10/11
Author:
  Stefano Chizzolini (http://www.stefanochizzolini.it)

Field Summary

Fields inherited from class org.pdfclown.documents.contents.colorSpaces.Pattern
`Default`

Method Summary
`ExtGState` | `getExtGState()` Gets the graphics state parameters to be put into effect temporarily while the shading pattern is painted.
`Shading<?>` | `getShading()` Gets a shading object defining the shading pattern's gradient fill.

Methods inherited from class org.pdfclown.documents.contents.colorSpaces.Pattern
`clone, getComponents, getDictionary, getMatrix, wrap`

Methods inherited from class org.pdfclown.documents.contents.colorSpaces.Color
`getColorSpace, normalizeComponent`

Methods inherited from class org.pdfclown.objects.PdfObjectWrapper
`checkCompatibility, delete, equals, exists, getBaseDataObject, getBaseObject, getBaseObject, getContainer, getDataContainer, getDocument, getFile, getMetadata, retrieveName, retrieveNamedBaseObject, setBaseObject, setMetadata`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getExtGState

    public ExtGState getExtGState()

  Gets the graphics state parameters to be put into effect temporarily while the shading pattern is painted.

  Any parameters that are not so specified are inherited from the graphics state that was in effect at the beginning of the content stream in which the pattern is defined as a resource.

### getShading

    public Shading<?> getShading()

  Gets a shading object defining the shading pattern's gradient fill.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.